Skip to main content
POST
/
api
/
organizations
/
{org_id}
/
automations
/
{run_id}
/
execute
Execute an automation manually
curl --request POST \
  --url https://api.getgranite.ai/api/organizations/{org_id}/automations/{run_id}/execute \
  --header 'Content-Type: application/json' \
  --data '
{
  "parameters": [
    {
      "name": "<string>",
      "value": "<unknown>"
    }
  ],
  "timeout": 300
}
'
{
  "success": true,
  "run_id": "<string>",
  "execution_id": "<string>",
  "return_code": 123,
  "stdout": "<string>",
  "stderr": "<string>",
  "execution_time": 123,
  "error": "<string>",
  "data": {}
}

Path Parameters

org_id
string
required
run_id
string
required

Body

application/json

Request to execute an automation.

parameters
ParameterValue · object[] | null

Parameter overrides for execution

timeout
integer | null
default:300

Execution timeout in seconds

Required range: 1 <= x <= 3600

Response

Successful Response

Execution result response.

success
boolean
required

Whether execution succeeded

run_id
string
required

RPA run ID

execution_id
string
required

Execution record ID

return_code
integer | null

Process return code

stdout
string | null

Standard output

stderr
string | null

Standard error

execution_time
number | null

Execution time in seconds

error
string | null

Error message if failed

data
Data · object

Structured output data from script